* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  height: 100%;
}

body {
  height: 100%;
}

ul {
  list-style: none;
}

nav {
  background-color: #07354c;
  position: fixed;
  width: 100%;
  z-index: 2;
}
nav ul {
  display: flex;
}
nav ul li {
  border-right: 1px solid black;
  color: white;
  cursor: pointer;
  padding: 1.25rem;
  transition: background-color, color 0.2s ease-out;
}

nav ul li:hover {
  background-color: #1ab3ff;
  color: #1d181a;
}

.controls {
  margin: 80px 0;
  padding: 0 20px;
  position: absolute;
  z-index: 1;
}

.controls label {
  display: flex;
  flex-direction: column;
  font-weight: bold;
}
.controls label input {
  margin: 16px 0;
}

#stacks {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.stack {
  align-items: center;
  display: flex;
  flex: 1;
  justify-content: center;
  margin: 0 auto;
  perspective: 600px;
  perspective-origin: center top;
  text-align: center;
  width: 100%;
}

.substack {
  padding: 16px;
}

.stack__peek {
  padding: 16px;
  transform-style: preserve-3d;
  transform: translate3d(0, -250px, 0);
}

.stack__elements {
  margin: 0;
  transform-style: preserve-3d;
  transform: translate3d(0, -250px, 0);
  width: 200px;
}

.box {
  animation: animateIn 300ms;
  height: 10px;
  justify-content: center;
  padding: 7px 0;
  position: relative;
  transform: translate3d(0, 250px, 0);
  transform-style: preserve-3d;
  width: 200px;
}

.box__face {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 50% 50%;
  border: 5px solid red;
  border-radius: 2px;
  height: 10px;
  position: absolute;
  width: 200px;
}

.box--react .box__face{
  background-color: rgba(32, 45, 32, 0.45);
  border-color: rgb(32, 45, 32);
}

.box--vue .box__face {
  background-color: rgba(114, 127, 128, 0.45);
  border-color: rgb(114, 127, 128);
}

.box--angular .box__face {
  background-color: rgba(13, 71, 161, 0.45);
  border-color: rgb(13, 71, 161);
}

.box__face--front {
  transform: rotateY(0) translateZ(100px);
}

.box__face--back {
  transform: rotateY(-180deg) translateZ(100px);
}

.box__face--left {
  transform: rotateY(-90deg) translateZ(100px);
}
.box__face--right {
  transform: rotateY(90deg) translateZ(100px);
}

.box__face--top {
  height: 200px;
  transform: rotateX(90deg) translateZ(100px);
}

.box__face--bottom {
  height: 200px;
  transform: rotateX(-90deg) translateZ(-90px);
}

.box--react .box__face{
  background-color: rgba(32, 45, 32, 0.45);
  border-color: rgb(32, 45, 32);
}

.box--vue .box__face {
  background-color: rgba(114, 127, 128, 0.45);
  border-color: rgb(114, 127, 128);
}

.box--angular .box__face {
  background-color: rgba(13, 71, 161, 0.45);
  border-color: rgb(13, 71, 161);
}

.box--react .box__face--top{
  background-image: url(../img/logo-react.png);
}

.box--vue .box__face--top {
  background-image: url(../img/logo-vue.png);
}

.box--angular .box__face--top {
  background-image: url(../img/logo-angular.png);
}


.--on-hold {
  margin: 16px;
}

@keyframes animateIn {
  from {
    transform: translate3d(0, 0, 0);
  }

  to {
    transform: translate3d(0, 250px, 0);
  }
}

@keyframes animateHold {
  from {
    transform: translate3d(0, 0, 0);
  }

  to {
    transform: translate3d(0, 250px, 0);
  }
}

@keyframes animateOut {
  from {
    transform: translate3d(0, 250px, 0);
  }

  to {
    transform: translate3d(0, 0, 0);
  }
}
